### Interface

# Lfb GdbusFeedbackHaptic

#### Description [src]

    interface Lfb.GdbusFeedbackHaptic : GObject.Object

Abstract interface type for the D-Bus interface org.sigxcpu.Feedback.Haptic.

#### Prerequisite

In order to implement GdbusFeedbackHaptic, your type must inherit from`GObject`.

#### Implementations

- LfbGdbusFeedbackHapticProxy
- LfbGdbusFeedbackHapticSkeleton

#### Functions

###### lfb_gdbus_feedback_haptic_interface_info

Gets a machine-readable description of the org.sigxcpu.Feedback.Haptic D-Bus interface.

###### lfb_gdbus_feedback_haptic_override_properties

Overrides all `GObject` properties in the `LfbGdbusFeedbackHaptic` interface for a concrete class. The properties are overridden in the order they are defined.

#### Instance methods

###### lfb_gdbus_feedback_haptic_call_vibrate

Asynchronously invokes the Vibrate() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `lfb_gdbus_feedback_haptic_call_vibrate_finish()` to get the result of the operation.

###### lfb_gdbus_feedback_haptic_call_vibrate_finish

Finishes an operation started with lfb_gdbus_feedback_haptic_call_vibrate().

###### lfb_gdbus_feedback_haptic_call_vibrate_sync

Synchronously invokes the Vibrate() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

###### lfb_gdbus_feedback_haptic_complete_vibrate

Helper function used in service implementations to finish handling invocations of the Vibrate() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

#### Signals

###### Lfb.GdbusFeedbackHaptic::handle-vibrate

Signal emitted when a remote caller is invoking the Vibrate() D-Bus method.

#### Interface structure

    struct LfbGdbusFeedbackHapticIface {
      GTypeInterface parent_iface;
      gboolean (* handle_vibrate) (
        LfbGdbusFeedbackHaptic* object,
        GDBusMethodInvocation* invocation,
        const gchar* arg_app_id,
        GVariant* arg_pattern
      );

    }

Virtual table for the D-Bus interface org.sigxcpu.Feedback.Haptic.

###### Interface members

`parent_iface` |
    GTypeInterface
| The parent interface.
`handle_vibrate` |
    gboolean (* handle_vibrate) (
        LfbGdbusFeedbackHaptic* object,
        GDBusMethodInvocation* invocation,
        const gchar* arg_app_id,
        GVariant* arg_pattern
      )
| Handler for the `LfbGdbusFeedbackHaptic::handle-vibrate` signal.

#### Virtual methods

###### Lfb.GdbusFeedbackHaptic.handle_vibrate

Handler for the `LfbGdbusFeedbackHaptic::handle-vibrate` signal.